Observability
List agents
Every managed agent environment (while managed agents are enabled), plus the external agents with conversations in the window. Live agents first, then by last activity.
GET
/
v1
/
observability
/
agents
List agents
curl --request GET \
--url https://api.veri.studio/v1/observability/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/observability/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/observability/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"key": "<string>",
"kind": "<string>",
"name": "<string>",
"deployment_ids": [
"<string>"
],
"active_conversations": 123,
"conversations": 123,
"turns": 123,
"llm_calls": 123,
"tool_calls": 123,
"tool_errors": 123,
"prompt_tokens": 123,
"completion_tokens": 123,
"error_rate": 123,
"daily": [
{
"date": "2023-12-25",
"conversations": 123
}
],
"environment_id": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z",
"avg_latency_ms": 123
}
],
"has_more": true
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Query Parameters
Window start (RFC 3339). Default: to minus 24 hours.
Window end (RFC 3339). Default: now.
List agents
curl --request GET \
--url https://api.veri.studio/v1/observability/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/observability/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/observability/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"key": "<string>",
"kind": "<string>",
"name": "<string>",
"deployment_ids": [
"<string>"
],
"active_conversations": 123,
"conversations": 123,
"turns": 123,
"llm_calls": 123,
"tool_calls": 123,
"tool_errors": 123,
"prompt_tokens": 123,
"completion_tokens": 123,
"error_rate": 123,
"daily": [
{
"date": "2023-12-25",
"conversations": 123
}
],
"environment_id": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z",
"avg_latency_ms": 123
}
],
"has_more": true
}
